#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/preinstall.sh - ftp preinstallation
#
# Creation   :  2023-05-16 holbru
# Last update:  $Id: preinstall.sh 102735 2023-05-16 22:02:46Z hbfl $
#
# Copyright (c) 2023-2023 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=ftp

# ---------------------------------------------------------------------------
# update system
# ---------------------------------------------------------------------------
installed=$(eisman check inetutils)

if [ "${installed}" = "installed" ]
then
    if [ -f /etc/filelist.d/inetutils-files.txt ]
    then
        sed -i '/ftp$/d' /etc/filelist.d/inetutils-files.txt
    fi    
fi

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
